=== src/bash_completion.d/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2016, University of Nebraska-Lincoln
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

if (NOT WINDOWS)

  install(FILES          condor
                         DESTINATION     "etc/bash_completion.d/"
         )

endif(NOT WINDOWS)
