=== debian/changelog ===
condor (23.9.6+dfsg-2.1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:13:38 +0200

condor (23.9.6+dfsg-2.1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:03:14 +0200

condor (23.9.6+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Built-Using to the condor binary package (Closes: #1106798).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 20 Jun 2025 21:49:07 +0200

condor (23.9.6+dfsg-2) unstable; urgency=medium

  * Address security issue CVE-2025-30093 (Closes: #1101498)

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 02 Apr 2025 16:50:00 -0500

condor (23.9.6+dfsg-1) unstable; urgency=medium

  * Add config knob to not have cgroups count kernel memory with cgroups v2
  * Remove support for numeric unit suffixes (k,M,G) in ClassAd expressions
  * In submit files, request_disk & request_memory still accept unit suffixes
  * Hide GPUs not allocated to the job on cgroup v2 systems
  * DAGMan can now produce credentials when using direct submission
  * Singularity jobs have a contained home directory when file transfer is on
  * Avoid using IPv6 link local addresses when resolving hostname to IP addr
  * New 'htcondor credential' command to aid in debugging
  * Add new condor-ap package to facilitate Access Point installation
  * The user can now choose which submit method DAGMan will use
  * Can add custom attributes to the User ClassAd with condor_qusers -edit
  * Add use-projection option to condor_gangliad to reduce memory footprint
  * Fix bug where interactive submit does not work on cgroup v2 systems
  * Warns about deprecated multiple queue statements in a submit file
  * The semantics of 'skip_if_dataflow' have been improved
  * Removing large DAGs is now non-blocking, preserving schedd performance
  * Periodic policy expressions are now checked during input file transfer
  * Local universe jobs can now specify a container image
  * File transfer plugins can now advertise extra attributes
  * DAGMan can rescue and abort if pending jobs are missing from the job queue
  * Docker and Container jobs run on EPs that match AP's CPU architecture
  * Fixed premature cleanup of credentials by the condor_credd
  * Fixed bug where a malformed SciToken could cause a condor_schedd crash
  * Fixed crash in condor_annex script
  * Fixed daemon crash after IDTOKEN request is approved by the collector
  * Remote condor_history queries now work the same as local queries
  * Improve error handling when submitting to a remote scheduler via ssh
  * Fix Python binding crash when submitting a DAG which has empty lines
  * Warns about deprecated multiple queue statements in a submit file
  * Fix bug where plugins could not signify to retry a file transfer
  * The condor_upgrade_check script checks for proper token file permissions

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 28 Mar 2025 15:09:00 -0500
